--- title: "View authorizer list" slug: "apigateway-authorizer-authorizers-list" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/apigateway-authorizer-authorizers-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View authorizer list Available in Classic and VPC View the list of authorizers. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/authorizers | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `offset` | Long | Optional | Starting point in the list of data to view - 0 - 9,223,372,036,854,775,807 | | `limit` | Long | Optional | Number of data to view at once - 1 - 9,223,372,036,854,775,807 | | `name` | String | Optional | Filter by authorizer name - 0 - 20 | ### Request example The following is a sample request. ``` curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/authorizers' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "authorizers": [ { "authorizerId": "authorizerId", "authorizerName": "authorizerName", "authorizerDescription": "authorizerDescription" } ], "total": 0, "initialCount": 0 } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "authorizers": [ { "authorizerId": "***gct7vcr", "authorizerName": "authorizer-****", "authorizerDescription": "authorizer-**** Description" } ], "total": 1, "initialCount": 1 } ```